GrailsCoreDependencies (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Java] Class GrailsCoreDependencies

    java.lang.Object
      org.codehaus.groovy.grails.resolve.GrailsCoreDependencies

    public class GrailsCoreDependencies
    extends java.lang.Object

Encapsulates information about the core dependencies of Grails.

Authors:
  Graeme Rocher
  Luke Daley

Field Summary
`protected java.util.Collection` | `buildDependencies`
`protected java.util.Collection` | `compileDependencies`
`protected java.util.Collection` | `docDependencies`
`java.lang.String` | `grailsVersion`
`protected java.lang.String` | `groovyVersion`
`protected java.lang.String` | `h2Version`
`boolean` | `java5compatible`
`protected java.lang.String` | `jaxbVersion`
`protected java.lang.String` | `log4jVersion`
`protected java.util.Collection` | `providedDependencies`
`protected java.util.Collection` | `runtimeDependencies`
`protected java.lang.String` | `servletApiVersion`
`java.lang.String` | `servletVersion`
`protected java.lang.String` | `spockVersion`
`protected java.util.Collection` | `testDependencies`

Constructor Summary
`GrailsCoreDependencies(java.lang.String grailsVersion)`
`GrailsCoreDependencies(java.lang.String grailsVersion, java.lang.String servletVersion)`
`GrailsCoreDependencies(java.lang.String grailsVersion, java.lang.String servletVersion, boolean java5compatible, boolean isGrailsProject)`

Method Summary
`java.util.Collection` | `getBuildDependencies()`
`java.util.Collection` | `getBuildDependencyPatterns()`
`java.util.Collection` | `getCompileDependencies()`
`java.util.Collection` | `getDocDependencies()`
`java.lang.String` | `getGrailsVersion()`
`java.util.Collection` | `getProvidedDependencies()`
`java.util.Collection` | `getRuntimeDependencies()`
`java.util.Collection` | `getTestDependencies()`
`boolean` | `isJava5compatible()`
`void` | `setJava5compatible(boolean java5compatible)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### buildDependencies

    protected java.util.Collection buildDependencies

### compileDependencies

    protected java.util.Collection compileDependencies

### docDependencies

    protected java.util.Collection docDependencies

### grailsVersion

    public final java.lang.String grailsVersion

### groovyVersion

    protected final java.lang.String groovyVersion

### h2Version

    protected final java.lang.String h2Version

### java5compatible

    public boolean java5compatible

### jaxbVersion

    protected final java.lang.String jaxbVersion

### log4jVersion

    protected final java.lang.String log4jVersion

### providedDependencies

    protected java.util.Collection providedDependencies

### runtimeDependencies

    protected java.util.Collection runtimeDependencies

### servletApiVersion

    protected java.lang.String servletApiVersion

### servletVersion

    public final java.lang.String servletVersion

### spockVersion

    protected java.lang.String spockVersion

### testDependencies

    protected java.util.Collection testDependencies

Constructor Detail

### GrailsCoreDependencies

    public GrailsCoreDependencies(java.lang.String grailsVersion)

### GrailsCoreDependencies

    public GrailsCoreDependencies(java.lang.String grailsVersion, java.lang.String servletVersion)

### GrailsCoreDependencies

    public GrailsCoreDependencies(java.lang.String grailsVersion, java.lang.String servletVersion, boolean java5compatible, boolean isGrailsProject)

Method Detail

### getBuildDependencies

    public java.util.Collection getBuildDependencies()

### getBuildDependencyPatterns

    public java.util.Collection getBuildDependencyPatterns()

### getCompileDependencies

    public java.util.Collection getCompileDependencies()

### getDocDependencies

    public java.util.Collection getDocDependencies()

### getGrailsVersion

    public java.lang.String getGrailsVersion()

### getProvidedDependencies

    public java.util.Collection getProvidedDependencies()

### getRuntimeDependencies

    public java.util.Collection getRuntimeDependencies()

### getTestDependencies

    public java.util.Collection getTestDependencies()

### isJava5compatible

    public boolean isJava5compatible()

### setJava5compatible

    public void setJava5compatible(boolean java5compatible)

Groovy Documentation